Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.spec
Class ElGamalKeySpec

    java.lang.Object
      org.bouncycastle.jce.spec.ElGamalKeySpec

All Implemented Interfaces:
  java.security.spec.KeySpec

Direct Known Subclasses:
  ElGamalPrivateKeySpec, ElGamalPublicKeySpec

    public class ElGamalKeySpec

extends java.lang.Object
implements java.security.spec.KeySpec

Constructor Summary
`ElGamalKeySpec(ElGamalParameterSpec spec)`

Method Summary
`ElGamalParameterSpec` `getParams()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElGamalKeySpec

    public ElGamalKeySpec(ElGamalParameterSpec spec)

Method Detail

### getParams

    public ElGamalParameterSpec getParams()

Bouncy Castle Cryptography Library 1.45